@import (reference) '../../less/platoreso.less';

.notification {
  position: relative;
  padding: 0.5rem;
  overflow: hidden;
  cursor: pointer;
  background-color: #ffffff;
  transition: background-color 250ms;
  display: flex;
  font-size: 0.85em;

  &:hover {
    background-color: darken(#ffffff, 5%);
  }

  &.unclicked {
    background-color: @lighterColor;
    &:hover {
      background-color: lighten(@lighterColor, 5%);
    }
  }

  .subject.image {
    flex: 0 0 auto;
    margin-right: 0.5em;
    .image, img {
      width: 3em;
      height: 3em;
    }
    .ui.avatar.image {
      margin: 0 !important; // I hate semantic-ui images
    }
  }

  .content {
    flex: 1 1 auto;
    margin-right: 0.5em;
    .message {
      line-height: 1.25em;
      color: @darkColor;
      .subject, .object, .data {
        font-weight: 500;
        color: @darkerColor;
      }
      .object {
        &.phase {
          font-style: italic;
        }
      }
    }

    .date {
      font-size: 0.85em;
      color: @lightColor;
    }
  }

  .extra {
    display: flex;
    flex: 0 0 auto;

    .thumbnail {
      flex: 0 0 auto;
      margin-right: 0.5em;
      img {
        max-height: 64px;
      }

    }

    .actions {
      flex: 0 0 auto;
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      align-content: center;

      .readIndicator {
        display: inline-block;
        width: 0.5em;
        height: 0.5em;
        border-radius: 0.5em;
        background-color: @color;
        &.unread {
          background-color: @teal;
        }
      }
    }
  }

}